      SUBROUTINE KWNONO                                                 GDH0897
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)                                GDH0897
      INCLUDE 'KEYS.i'                                                  GDH0897
      INCLUDE 'FFILES.i'                                                GDH0897
C***********************************************************************GDH0897
C                                                                       GDH0897
C     KWNONO CHECKS FOR INCOMPATIBLE KEYWORD CHOICES                    GDH0897
C                                                                       GDH0897
C     THIS SUBROUTINE WAS CREATED FROM PRE-EXISTING LINES IN READS      GDH0897
C     BY DJG.  THESE LINES WERE UPDATED TO INCLUDE THE NEW WAY          GDH0897
C     OF PARSING THE KEYWORDS.                                          GDH0897
C                                                                       GDH0897
C***********************************************************************GDH0897
      IALL=IIOFR+IALPHA+IBETA+IGAMMA+IFACAR+IFEHAL                      GDH0897
      IF (ISM50.NE.1) THEN                                              GDH0897
          WRITE(JOUT,110)                                               GDH0897
          ISTOP=1                                                       GDH0897
          IWHERE=84                                                     GDH0897
          RETURN                                                        GDH0897
      ENDIF                                                             GDH0897
      IF (CISOLV.EQ.'GENORG'.AND.IALL.NE.6) THEN                        GDH0897
          WRITE(JOUT,120)                                               GDH0897
          ISTOP=1                                                       GDH0897
          IWHERE=85                                                     GDH0897
          RETURN                                                        GDH0897
      ENDIF                                                             GDH0897
      IF (CISOLV.EQ.'WATER'.AND.IALL.GE.1) THEN                         GDH0897
          WRITE(JOUT,130)                                               GDH0897
          ISTOP=1                                                       GDH0897
          IWHERE=86                                                     GDH0897
          RETURN                                                        GDH0897
      ENDIF                                                             GDH0897
      IF (ISOLVN.NE.1) THEN                                             GDH0897
          WRITE(JOUT,140)                                               GDH0897
          ISTOP=1                                                       GDH0897
          IWHERE=87                                                     GDH0897
          RETURN                                                        GDH0897
      ENDIF                                                             GDH0897
      IF (CISOLV.NE.'WATER'.AND.CISOLV.NE.'GENORG') THEN                GDH0897
          WRITE(JOUT,150)                                               GDH0897
          ISTOP=1                                                       GDH0897
          IWHERE=88                                                     GDH0897
          RETURN                                                        GDH0897
      ENDIF                                                             GDH0897
      RETURN                                                            GDH0897
110   FORMAT(/,'WARNING: OMNISOL requires the "SM5.0R" keyword')        GDH0897
120   FORMAT(/,'WARNING: The SOLVNT=GENORG keyword requires use ',      GDH0897
     . 'of the keywords:',/,'IOFR=x.xx, ALPHA=x.xx, BETA=x.xx,',        GDH0897
     . ' GAMMA=x.xx, ',/,'FACARB=x.xx, FEHALO=x.xx.',/,'At least one',  GDH0897
     . ' of these keywords is missing from the input file.')            GDH0897
130   FORMAT(/,'WARNING: The SOLVNT=WATER keyword cannot be used ',     GDH0897
     . 'with the keywords:',/,'IOFR=x.xx, ALPHA=x.xx, BETA=x.xx,',      GDH0897
     . ' GAMMA=x.xx, ',/,'FACARB=x.xx, or FEHALO=x.xx.',/,'At least ',  GDH0897
     . ' one of these keywords was used in the input file.')            GDH0897
140   FORMAT(/,'WARNING: OMNISOL requires the "SOLVNT=xxx" keyword')    GDH0897
150   FORMAT(/,'WARNING: The SOLVNT=WATER or SOLVNT=GENORG ',           GDH0897
     . 'keyword must be used in OMNISOL.')                              GDH0897
      END                                                               GDH0897
