      SUBROUTINE LOADSP                                                 GDH0897
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)                                GDH0897
         INCLUDE 'SIZES.i'                                              GDH0897
         INCLUDE 'KEYS.i'                                               GDH0897
         INCLUDE 'FFILES.i'                                             GDH0897
C***********************************************************************GDH0897
C                                                                       GDH0897
C   THIS SUBROUTINE LOADS IN THE SOLVENT PARAMETERS FROM PARAMS.i AND THGDH0897
C   EXTSM FILE IF NEEDED.                                               GDH0897
C                                                                       GDH0897
C       SIGMA0 = SURFACE TENSIONS (SIGMA ZERO)                          GDH0897
C       RKCDS = SURFACE TENSION RADII (Rk)                              GDH0897
C                                                                       GDH0897
C***********************************************************************GDH0897
      COMMON /SURF  / SURFCT,SRFACT(NUMATM),ATAR(NUMATM),               GDH0897
     1                HEXLGS,ATLGAR,CSAREA(100)                         GDH0897
      COMMON /MLKSTI/ NUMAT,NAT(NUMATM)                                 GDH0897
      COMMON /RADCOM/ SRFACI(NUMATM)                                    GDH0897
      COMMON /SOLVCM/ SLVRAD, SLVRD2, CSSIGM                            GDH0897
      COMMON /TRADCM/ IRAD                                              GDH0897
      COMMON /SPARCM/ SIGMA0(100),RKCDS(100)                            GDH0897
      CALL LOADIN                                                       GDH0897
      IF (ISTOP.NE.0) RETURN                                            GDH0897
      DO 100 I=1,NUMAT                                                  GDH0897
            SRFACI(I)=SIGMA0(NAT(I))                                    GDH0897
100   CONTINUE                                                          GDH0897
      IF (IRAD.EQ.21)                                                   GDH0897
     .    HEXLGS=CSSIGM/1000.0D0                                        GDH0897
      RETURN                                                            GDH0897
      END                                                               GDH0897
