      SUBROUTINE WRITES(TIME0,FUNCT)                                    GDH0897
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)                               GDH0897
      DOUBLE PRECISION MECI                                             GDH0897
       INCLUDE 'SIZES.i'                                                GDH0897
       INCLUDE 'PARAMS.i'                                               GDH0897
      INCLUDE 'KEYS.i'                                                  GDH0897
      INCLUDE 'FFILES.i'                                                GDH0897
      COMMON /TITLES/ KOMENT,TITLE                                      GDH0897
      COMMON /ELEMTS/ ELEMNT(107)                                       GDH0897
      COMMON /GEOM  / GEO(3,NUMATM)                                     GDH0897
      COMMON /MLKSTI/ NUMAT,NAT(NUMATM)                                 GDH0897
      COMMON /TRADCM/ IRAD                                              GDH0897
      COMMON /SURF  / SURFCT,SRFACT(NUMATM),ATAR(NUMATM),               GDH0897
     1                HEXLGS,ATLGAR,CSAREA(100)                         GDH0897
      COMMON /DATECM/ CDAT                                              GDH0897
      COMMON /SOLVCM/ SLVRAD, SLVRD2, CSSIGM                            GDH0897
      COMMON /ARACOM/ R(NPACK),                                         GDH0897
     2                RAS(NUMATM),RALG(NUMATM)                          GDH0897
************************************************************************GDH0897
*                                                                       GDH0897
*   WRITE PRINTS OUT MOST OF THE RESULTS.                               GDH0897
*         IT SHOULD NOT ALTER ANY PARAMETERS, SO THAT IT CAN BE CALLED  GDH0897
*         AT ANY CONVENIENT TIME.                                       GDH0897
*                                                                       GDH0897
************************************************************************GDH0897
      DIMENSION COORD(3,NUMATM)                                         GDH0897
      CHARACTER*2 ELEMNT                                                GDH0897
      CHARACTER*80 KOMENT,TITLE,CDAT                                    GDH0897
      SAVE                                                              GDH0897
         CALL DBRNPL(COORD,GEO)                                         GDH0897
         CALL SMX1(COORD)                                               GDH0897
         CALL SM5RHB                                                    GDH0897
         CALL CDSCAL                                                    GDH0897
C                                                                       GDH0897
      WRITE(JOUT,'(/)')                                                 GDH0897
C                                                                       GDH0897
         WRITE(JOUT,'(/,10X,''Cartesian coordinates (Angstroms)'',/)')  GDH0897
         WRITE(JOUT,'(4X,''NO.'',6X,''Atom'',13X,''X'',                 GDH0897
     1         9X,''Y'',9X,''Z'',/)')                                   GDH0897
         WRITE(JOUT,'(I6,8X,A2,9X,3F10.5)')                             GDH0897
     1         (I,ELEMNT(NAT(I)),(COORD(J,I),J=1,3),I=1,NUMAT)          GDH0897
C                                                                       GDH0897
C                                                                       GDH0897
C   WRITE OUT THE INTERATOMIC DISTANCES                                 GDH0897
C                                                                       GDH0897
CCC                                                                     GDH0897
          WRITE(JOUT,'(/,10X,''Interatomic distances (Angstroms)'')')   GDH0897
          CALL VECPRT(R,NUMAT)                                          GDH0897
C                                                                       GDH0897
C   PRINT OUT SASA INFO                                                 GDH0897
C                                                                       GDH0897
      IF (IDETAI.NE.0) CALL PRAREA                                      GDH0897
C                                                                       GDH0897
C   PRINT OUT ATOM-BY-ATOM & ELEMENT-BY-ELEMENT SOLVATION SUMMARY       GDH0897
C                                                                       GDH0897
      CALL SATBAT (CSTOT,JOUT)                                          GDH0897
      WRITE(JOUT,1190) SURFCT                                           GDH0897
1190   FORMAT(/,1X,'Free energy of solvation calculated with',          GDH0897
     1        T65, F10.3, T76, 'kcal',/,3X,'the',                       GDH0897
     2        ' SM5.0R model')                                          GDH0897
2156  CALL PORCPU(TFINAL)                                               GDH0897
      WRITE (JOUT, 1052) (TFINAL - TIME0)                               GDH0897
1052   FORMAT(/,' Total computer time = ',F10.2,' seconds')             GDH0897
      END                                                               GDH0897
