      SUBROUTINE DBRNPL(COORD,GEO)                                      GDH0897
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)                               GDH0897
        INCLUDE 'SIZES.i'                                               GDH0897
        INCLUDE 'FFILES.i'                                              GDH0897
        INCLUDE 'KEYS.i'                                                GDH0897
C                                                                       GDH0897
C     THIS SUBROUTINE CALCULATES INTERATOMIC DISTANCES USED FOR BORNPL  GDH0897
C     AND ASSOCIATED UNIT VECTORS USED IN AREAL                         GDH0897
C                                                                       GDH0897
      COMMON /MLKSTI/ NUMAT,NAT(NUMATM)                                 GDH0897
      COMMON /ARACOM/ R(NPACK),                                         GDH0897
     2                RAS(NUMATM),RALG(NUMATM)                          GDH0897
      COMMON /VOLCOM/ RLIO(NUMATM,NUMATM)                               GDH0897
      DIMENSION COORD(3,*),GEO(3,*)                                     GDH0897
      CALL GMETRY(GEO,COORD)                                            GDH0897
      IF (ISTOP.NE.0) RETURN                                            GDH0897
      R(1)=0.D0                                                         GDH0897
      RLIO(1,1)=0.D0                                                    GDH0897
      IJ=1                                                              GDH0897
      DO 20 I=2,NUMAT                                                   GDH0897
        DO 10 J=1,I-1                                                   GDH0897
          IJ=IJ+1                                                       GDH0897
          XX1=COORD(1,I)-COORD(1,J)                                     GDH0897
          XX2=COORD(2,I)-COORD(2,J)                                     GDH0897
          XX3=COORD(3,I)-COORD(3,J)                                     GDH0897
          DIST=XX1*XX1+XX2*XX2+XX3*XX3                                  GDH0897
          DISTS=SQRT(DIST)                                              GDH0897
          R(IJ)=DISTS                                                   GDH0897
          RLIO(I,J)=DISTS                                               GDH0897
          RLIO(J,I)=DISTS                                               GDH0897
   10   CONTINUE                                                        GDH0897
        IJ=IJ+1                                                         GDH0897
        R(IJ)=0.D0                                                      GDH0897
        RLIO(I,I)=0.D0                                                  GDH0897
   20 CONTINUE                                                          GDH0897
      END                                                               GDH0897
