      SUBROUTINE KEYFLG                                                 GDH0897
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)                                GDH0897
      INCLUDE 'KEYS.i'                                                  GDH0897
      INCLUDE 'FFILES.i'                                                GDH0897
      INCLUDE 'SIZES.i'                                                 GDH0897
C***********************************************************************GDH0897
C                                                                       GDH0897
C      THIS SUBROUTINE CREATED BY DJG 9/95.  ALL KEYWRODS SHOULD BE     GDH0897
C      CHECKED FOR IN THIS SUBROUTINE AND NOT IN OTHER PARTS OF THE     GDH0897
C      PROGRAM.   COMMON BLOCK NAMES INVOLVING THESE KEYWORDS SHOULD    GDH0897
C      END IN 'WD' FOR WORD.                                            GDH0897
C                                                                       GDH0897
C      ALL KEYWORD FLAGS SHOULD BE LOGICAL VARIABLES                    GDH0897
C                                                                       GDH0897
C      ALL KEYWORDS SHOULD BE SEARCHED FOR THE FULL                     GDH0897
C      STRING.                                                          GDH0897
C                                                                       GDH0897
C      TITLE IS THE Z-MATRIX TITLE LINE                                 GDH0897
C      KOMENT IS THE Z-MATRIX COMMENT LINE                              GDH0897
C      WORD IS THE KEYWORD STRING                                       GDH0897
C                                                                       GDH0897
C***********************************************************************GDH0897
      COMMON /TRADCM/ IRAD                                              GDH0897
      COMMON /TITLES/ KOMENT,TITLE                                      GDH0897
      COMMON /SURF  / SURFCT,SRFACT(NUMATM),ATAR(NUMATM),               GDH0897
     1                HEXLGS,ATLGAR,CSAREA(100)                         GDH0897
      CHARACTER WORD*15, KEY*80, KOMENT*80, TITLE*80,KEY2*80            GDH0897
      CHARACTER SPACE*1, TEMPKEY*80                                     BJL1003
C                                                                       GDH0897
C     FILE JSCR IS A SCRATCH FILE THAT CONTAINS ALL THE KEYWORDS        GDH0897
C     BOTH FROM THE .DAT AND .XKW FILE.  IT DISAPPEARS WHEN THE JOB     GDH0897
C     TERMINATES (STATUS='SCRATCH').                                    GDH0897
C                                                                       GDH0897
      CALL KFINIT                                                       GDH0897
      SPACE=' '                                                         GDH0897
      OPEN(UNIT=JSCR,STATUS='UNKNOWN')                                  GDH0897
      REWIND(JSCR)                                                      GDH0897
      NFILE=JDAT                                                        GDH0897
10    FORMAT(A80)                                                       GDH0897
20    FORMAT(A8)                                                        GDH0897
      KEY(1:40)='                                        '              GDH0897
      KEY(40:80)='                                        '             GDH0897
      READ(JDAT,10,END=400) KEY                                         GDH0897
C                                                                       GDH0897
C     CONVERT LOWER CASE TO UPPER CASE                                  GDH0897
C                                                                       GDH0897
      I=0                                                               GDH0897
60    CALL CAPCNV(KEY,NUMUD,80)                                         GDH0897
      WRITE(JSCR,10) KEY                                                GDH0897
C                                                                       GDH0897
C   KFLAG = 0 IF IN BETWEEN WORDS                                       GDH0897
C         = 1 IF IN THE MIDDLE OF A WORD                                GDH0897
C         =-1 IF JUST FINISHED A WORD                                   GDH0897
C                                                                       GDH0897
      I=I+1                                                             GDH0897
      KFLAG=0                                                           GDH0897
100   N=1                                                               GDH0897
      WORD='               '                                            GDH0897
      KFLAG=0                                                           GDH0897
110   CONTINUE                                                          GDH0897
C                                                                       GDH0897
C     NON-VALUE KEYWORDS END WITH A SPACE                               GDH0897
C                                                                       GDH0897
      IF (KEY(I:I).EQ.SPACE) GOTO 120                                   GDH0897
C                                                                       GDH0897
C     KEYWORDS WITH VALUES END IN '=' OR '('                            GDH0897
C                                                                       GDH0897
      IF (KEY(I:I).NE.'='.AND.KEY(I:I).NE.'(') THEN                     GDH0897
C                                                                       GDH0897
C        ADD CHARACTER ONTO CURRENT KEYWORD STRING                      GDH0897
C                                                                       GDH0897
         WORD(N:N)=KEY(I:I)                                             GDH0897
         KFLAG=1                                                        GDH0897
C                                                                       GDH0897
C        IF AT THE END OF A LINE AND IN A KEYWORD, PRINT WARNING        GDH0897
C                                                                       GDH0897
         IF (I.EQ.80) WRITE(JOUT,8000) WORD                             GDH0897
         N=N+1                                                          GDH0897
         I=I+1                                                          GDH0897
      ELSE                                                              GDH0897
         IF (I.EQ.80) THEN                                              GDH0897
C                                                                       GDH0897
C        MUST BE AT END OF VALUE KEYWORD AND AT END OF LINE, SO NO      GDH0897
C        VALUE HAS BEEN ENTERED.  END WITH ERROR MESSAGE                GDH0897
C                                                                       GDH0897
            WRITE(JOUT,9000) WORD                                       GDH0897
            ISTOP=1                                                     GDH0897
            IWHERE=83                                                   GDH0897
            RETURN                                                      GDH0897
         ENDIF                                                          GDH0897
C                                                                       GDH0897
C        END OF VALUE KEYWORD STRING, SO CHECK VALIDITY AND READ VALUE  GDH0897
C                                                                       GDH0897
         ILENKW=N-1                                                     GDH0897
         CALL FINDKW(KEY,WORD,I,ILENKW)                                 GDH0897
         IF (ISTOP.NE.0) RETURN                                         GDH0897
C                                                                       GDH0897
C        INCREASE LINE COUNTER TO SKIP KEYWORD VALUE AND RESET FLAGS    GDH0897
C                                                                       GDH0897
         J=INDEX(KEY(I:80),SPACE)                                       GDH0897
         I=I+J                                                          GDH0897
         KFLAG=-1                                                       GDH0897
      ENDIF                                                             GDH0897
C                                                                       GDH0897
C     END OF KEYWORD STRING, BEGIN PROCESS AGAIN                        GDH0897
C                                                                       GDH0897
      IF (KFLAG.EQ.-1.AND.I.LE.80) GOTO 100                             GDH0897
C                                                                       GDH0897
C     IN THE MIDDLE OF KEYWORD STRING, KEEP GOING                       GDH0897
C                                                                       GDH0897
      IF (I.LE.80) GOTO 110                                             GDH0897
C                                                                       GDH0897
C     AT END OF LINE, MUST BE THE END OF THE KEYWORD, SEE IF IT IS VALIDGDH0897
C                                                                       GDH0897
      IF (KFLAG.NE.-1) THEN                                             GDH0897
         ILENKW=N-1                                                     GDH0897
         CALL FINDKY(WORD,I,ILENKW)                                     GDH0897
      ENDIF                                                             GDH0897
      GOTO 200                                                          GDH0897
C                                                                       GDH0897
C     SPACE FOUND, SO MUST BE AT END OF KEYWORD STRING                  GDH0897
C     CHECK KEYWORD VALIDITY                                            GDH0897
C                                                                       GDH0897
120   IF (KFLAG.EQ.1) THEN                                              GDH0897
         ILENKW=N-1                                                     GDH0897
         CALL FINDKY(WORD,I,ILENKW)                                     GDH0897
         KFLAG=-1                                                       GDH0897
      ENDIF                                                             GDH0897
      I=I+1                                                             GDH0897
C                                                                       GDH0897
C     END OF KEYWORD STRING, BEGIN PROCESS AGAIN                        GDH0897
C                                                                       GDH0897
      IF (KFLAG.EQ.-1.AND.I.LE.80) GOTO 100                             GDH0897
C                                                                       GDH0897
C     IN THE MIDDLE OF KEYWORD STRING, KEEP GOING                       GDH0897
C                                                                       GDH0897
      IF (I.LE.80) GOTO 110                                             GDH0897
200   CONTINUE                                                          GDH0897
C                                                                       GDH0897
C     READ NEW LINE FROM FILE IF LINE DOES NOT BEGIN WITH '&' THEN      GDH0897
C     KEYWORD SECTION IS OVER.                                          GDH0897
C                                                                       GDH0897
      KEY(1:40)='                                        '              GDH0897
      KEY(40:80)='                                        '             GDH0897
      READ (NFILE,10,END=400) KEY                                       GDH0897
      TEMPKEY(1:80)=KEY(1:80)                                           BJL1003
      CALL CAPCNV(KEY(1:4),NUMUD,4)                                     GDH0897
      IF(KEY(1:1).NE.'&'.AND.KEY(1:4).NE.'ATOM'.AND.KEY(1:4).NE.'TYPE'. GDH0897
     .   AND.NFILE.EQ.JDAT) GOTO 300                                    GDH0897
      IF (KEY(1:1).EQ.'&') THEN                                         GDH0897
         I=1                                                            GDH0897
      ELSE                                                              GDH0897
         I=0                                                            GDH0897
      ENDIF                                                             GDH0897
      GOTO 60                                                           GDH0897
300   CONTINUE                                                          GDH0897
C                                                                       GDH0897
C     END OF .DAT KEYWORDS.  IF XKW WAS USED, THEN READ FROM XKW FILE   GDH0897
C     PUT STRING 'XKW FILE' IN AS A SPACER IN SCRATCH FILE TO DISTINGUISGDH0897
C     BETWEEN .DAT KEYWORDS AND .XKW KEYWORDS (FOR ECHOING PURPOSES)    GDH0897
C                                                                       GDH0897
400   CONTINUE                                                          GDH0897
      NFILE=JDAT                                                        GDH0897
C      BACKSPACE(NFILE)                                                 GDH0897
C                                                                       GDH0897
C     READ IN TITLE AND COMMENT LINES                                   GDH0897
C                                                                       GDH0897
C      READ(NFILE,10) TITLE                                             GDH0897
      TITLE(1:80)=TEMPKEY(1:80)                                         BJL1003
      READ(NFILE,10) KOMENT                                             GDH0897
C                                                                       GDH0897
8000  FORMAT(/,/,1X,'POSSIBLE KEYWORD TRUNCATION AT END-OF-LINE ---> ', GDH0897
     1       A15,/,/)                                                   GDH0897
9000  FORMAT(/,1X,'KEYWORD TRUNCATION AT END-OF-LINE ---> ',A15)        GDH0897
9100  FORMAT(/,1X,'AN ATOM LINE MUST PROCEED A TYPE LINE (SM1A or'      GDH0897
     .        ,' SM5.0)', /,' SEE MANUAL')                              GDH0897
9200  FORMAT(/,1X,'A TYPE LINE MUST FOLLOW AN ATOM LINE (SM1A or'       GDH0897
     .        ,' SM5.0)', /,' SEE MANUAL')                              GDH0897
9300  FORMAT(/,1X,'THE NUMBER OF PROVIDED ATOMS REQUIRING TYPES '       GDH0897
     .        ,'AND THE NUMBER OF PROVIDED TYPES DO NOT MATCH',         GDH0897
     .         /,'SEE MANUAL')                                          GDH0897
      RETURN                                                            GDH0897
      END                                                               GDH0897
