      SUBROUTINE LOADIN                                                 GDH0897
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)                                GDH0897
         INCLUDE 'PARAMS.i'                                             GDH0897
         INCLUDE 'FFILES.i'                                             GDH0897
         INCLUDE 'KEYS.i'                                               GDH0897
C***********************************************************************GDH0897
C                                                                       GDH0897
C    THIS SUBROUTINE LOADS THE SOLVATION PARAMETERS INTO THE VARIABLES  GDH0897
C                                                                       GDH0897
C       SIGMA0 = SURFACE TENSIONS (SIGMA ZERO)                          GDH0897
C       RKCDS = SURFACE TENSION RADII (Rk)                              GDH0897
C       CRFNH4 = C-C BOND SURFACE TENSION                               GDH0897
C                                                                       GDH0897
C                                                                       GDH0897
C***********************************************************************GDH0897
      COMMON /TRADCM/ IRAD                                              GDH0897
      COMMON /SPARCM/ SIGMA0(100),RKCDS(100)                            GDH0897
      COMMON /HEXSTM/ HRFN4(100),CRFNH4,CNRFN4,CORFN5,                  GDH0897
     X                CRFNH5,OORFN5,ONRFN4,SSRFN5,OPRFN5,               GDH0897
     1                FCRFN,CLCRFN,BRCRFN,CNSTC2,TNCSC3,TNCSC2,         GDH0897
     2                HOHST1,HNNST1, SPRFN5                             GDH0897
      COMMON /PDCOM/  SMXPD(100), SPSRFT(10)                            GDH0897
      IF (IRAD.EQ.20) THEN                                              GDH0897
              CALL SCOPY(100,W50,1,RKCDS,1)                             GDH0897
              CALL SCOPY(100,SPD50,1,SIGMA0,1)                          GDH0897
              CALL SCOPY(100,HRFN50,1,HRFN4,1)                          GDH0897
              CRFNH4=ADST50(1)                                          GDH0897
              CRFNH5=ADST50(2)                                          GDH0897
              CORFN5=ADST50(3)                                          GDH0897
              CNRFN4=ADST50(5)                                          GDH0897
              ONRFN4=ADST50(9)                                          GDH0897
              OORFN5=ADST50(4)                                          GDH0897
              SSRFN5=ADST50(13)                                         GDH0897
              FCRFN=ADST50(10)                                          GDH0897
              CLCRFN=ADST50(11)                                         GDH0897
              BRCRFN=ADST50(12)                                         GDH0897
              CNSTC2=ADST50(8)                                          GDH0897
              TNCSC3=ADST50(7)                                          GDH0897
              TNCSC2=ADST50(6)                                          GDH0897
      ELSE IF (IRAD.EQ.21) THEN                                         GDH0897
         CALL SCOPY(100,W50,1,RKCDS,1)                                  GDH0897
         CALL OSM5SP                                                    GDH0897
      ELSE                                                              GDH0897
         WRITE(JOUT,'('' UNIDENTIFIED "OMNISOL" MODEL. ABORT.'')')      GDH0897
          ISTOP=1                                                       GDH0897
          IWHERE=134                                                    GDH0897
          RETURN                                                        GDH0897
      ENDIF                                                             GDH0897
      RETURN                                                            GDH0897
      END                                                               GDH0897
