      SUBROUTINE OMNISOL                                                GDH0897
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)                               GDH0897
       INCLUDE 'SIZES.i'                                                GDH0897
       INCLUDE 'KEYS.i'                                                 GDH0897
       INCLUDE 'FFILES.i'                                               GDH0897
      PARAMETER (MFBWO=9*MAXPAR)                                        GDH0897
************************************************************************GDH0897
      COMMON /TIMECM  / TIME0                                           GDH0897
      COMMON /GEOM  / GEO(3,NUMATM)                                     GDH0897
      COMMON /GEOKST/ NATOMS,LABELS(NUMATM),                            GDH0897
     1                NA(NUMATM),NB(NUMATM),NC(NUMATM)                  GDH0897
      COMMON /TRADCM/ IRAD                                              GDH0897
      COMMON /ONESCM/ ICONTR(100)                                       GDH0897
      COMMON /CONVCM/ JCONV                                             GDH0897
      COMMON /PROPCM/ SDEPT(10), SOLN,SOLA,SOLB,SOLG,SOLC,SOLH          GDH0897
      COMMON /ELEMTS/ ELEMNT(107)                                       GDH0897
      CHARACTER ELEMNT*2                                                GDH0897
      LOGICAL LDUMMY                                                    GDH0897
      SAVE                                                              GDH0897
      PI=ACOS(-1.D0)                                                    GDH0897
      PD2=PI*0.5D0                                                      GDH0897
      PD64=PI*0.015625D0                                                GDH0897
C                                                                       GDH0897
C   CALCULATE THE OVERHEAD FOR CALLING THE CPU TIMIMG ROUTINE           GDH0897
C                                                                       GDH0897
      CALL PORCPU (T0)                                                  GDH0897
      CALL PORCPU (T1)                                                  GDH0897
      TOVERH = T1 - T0                                                  GDH0897
C                                                                       GDH0897
      CALL PORCPU (TIME0)                                               GDH0897
      TIME0 = TIME0 + TOVERH                                            GDH0897
C                                                                       GDH0897
C  ICONTR IS A FLAG WHICH INDICATES WHETHER A SUBROUTINE HAS NEVER BEEN GDH0897
C  ENTERED (ICONTR=1) OR HAS BEEN ENTERED BEFORE (ICONTR=0)             GDH0897
C                                                                       GDH0897
C  CURRENT HIGHEST-USED VALUE OF ICONTR IS 62                           GDH0897
C  ICONTR IS ALSO RESET IN THE SUBROUTINE PATHS (THREE SPOTS) BETWEEN   GDH0897
C  EACH REACTION COORDINATE CALCULATION                                 GDH0897
C  AND ALSO AT THE END OF WRITES IF A TRUES/CALC CALCULATION            GDH0897
C                                                                       GDH0897
      DO 3 I=1,100                                                      GDH0897
3        ICONTR(I)=1                                                    GDH0897
                                                                        GDH0897
                                                                        GDH0897
C READ AND CHECK INPUT FILE, EXIT IF NECESSARY.                         GDH0897
C     WRITE INPUT FILE TO UNIT IPRT AS FEEDBACK TO USER                 GDH0897
C                                                                       GDH0897
  1   CONTINUE                                                          GDH0897
      CALL READS                                                        GDH0897
      IF (ISTOP.NE.0) RETURN                                            GDH0897
      CALL WRITES(TIME0, ESCF)                                          GDH0897
      RETURN                                                            GDH0897
      END                                                               GDH0897
