      SUBROUTINE SASARD                                                 GDH0897
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)                                GDH0897
      INCLUDE 'SIZES.i'                                                 GDH0897
C ---------------------------------------------------------------------+GDH0897
C     CALCULATE THE RADII FOR THE SASA CALCULATION (BETA-K)             GDH0897
C  ON INPUT                                                             GDH0897
C     RKCDS  = ATOMIC RADIUS FOR CDS TERM (R-K)                         GDH0897
C     SLVRAD = SMALL SOLVENT RADIUS                                     GDH0897
C     SLVRD2 = LARGE SOLVENT RADIUS                                     GDH0897
C  ON OUTPUT                                                            GDH0897
C     RAS    = CDS RADII (BETA-K)                                       GDH0897
C     RALG   = CDS RADII ASSOCIATED WITH LARGE SOLVENT RADIUS           GDH0897
C                                                                       GDH0897
C     CREATED BY DJG 0995 FROM EXISTING LINES IN SMX1 AND SRFCTY        GDH0897
C ---------------------------------------------------------------------+GDH0897
      COMMON /ARACOM/ R(NPACK),                                         GDH0897
     2                RAS(NUMATM),RALG(NUMATM)                          GDH0897
      COMMON /TRADCM/ IRAD                                              GDH0897
      COMMON /MLKSTI/ NUMAT,NAT(NUMATM)                                 GDH0897
      COMMON /SOLVCM/ SLVRAD, SLVRD2, CSSIGM                            GDH0897
      COMMON /SPARCM/ SIGMA0(100),RKCDS(100)                            GDH0897
      DO 100 I=1,NUMAT                                                  GDH0897
         RAS(I)=RKCDS(NAT(I))+SLVRAD                                    GDH0897
100   CONTINUE                                                          GDH0897
      IF (IRAD.EQ.21) THEN                                              GDH0897
         DO 200 I=1,NUMAT                                               GDH0897
            RALG(I)=RKCDS(NAT(I))+SLVRD2                                GDH0897
200      CONTINUE                                                       GDH0897
      ENDIF                                                             GDH0897
      END                                                               GDH0897
