      SUBROUTINE SM5RHB                                                 GDH0897
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)                                GDH0897
      INCLUDE 'SIZES.i'                                                 GDH0897
      INCLUDE 'FFILES.i'                                                GDH0897
      INCLUDE 'KEYS.i'                                                  GDH0897
      INCLUDE 'PARAMS.i'                                                GDH0897
C***********************************************************************GDH0897
C                                                                       GDH0897
C   THIS SUBROUTINE CALCULATES SURFACE TENSIONS WHICH ARE LATER         GDH0897
C   MULTIPLIED TIMES SASA TO GET THE CDS TERM.                          GDH0897
C                                                                       GDH0897
C   CREATED BY GDH 0197                                                 GDH0897
C                                                                       GDH0897
C***********************************************************************GDH0897
      COMMON /MLKSTI/ NUMAT,NAT(NUMATM)                                 GDH0897
      COMMON /HEXSTM/ HRFN4(100),CRFNH4,CNRFN4,CORFN5,                  GDH0897
     X                CRFNH5,OORFN5,ONRFN4,SSRFN5,OPRFN5,               GDH0897
     1                FCRFN,CLCRFN,BRCRFN,CNSTC2,TNCSC3,TNCSC2,         GDH0897
     2                HOHST1,HNNST1, SPRFN5                             GDH0897
      COMMON /TRADCM/ IRAD                                              GDH0897
      COMMON /SPARCM/ SIGMA0(100),RKCDS(100)                            GDH0897
      COMMON /HBORDS/ HB(NUMATM)                                        GDH0897
      COMMON /HBONDA/ HBONDO(100),CBONDO,COBND5,CNBNDO,CBOND5,          GDH0897
     .                OOBNDO,ONBNDO,SSBNDO,OPBNDO,CLCBND,BRCBND,        GDH0897
     .                FCBNDO,CNBOC2,TNCBC3,TNCBC2,HOHBND,HNNBND,        GDH0897
     .                SPBNDO                                            GDH0897
      COMMON /SURF  / SURFCT,SRFACT(NUMATM),ATAR(NUMATM),               GDH0897
     1                HEXLGS,ATLGAR,CSAREA(100)                         GDH0897
      COMMON /VOLCOM/ RLIO(NUMATM,NUMATM)                               GDH0897
      SQRT3=SQRT(3.0D0)                                                 GDH0897
      EXPVAL=EXP(1.00D0)                                                GDH0897
      DO 50 M=1,100                                                     GDH0897
         HBONDO(M)=0.0D0                                                GDH0897
50    CONTINUE                                                          GDH0897
      CBONDO=0.0D0                                                      GDH0897
      CBOND5=0.0D0                                                      GDH0897
      COBND5=0.0D0                                                      GDH0897
      CNBNDO=0.0D0                                                      GDH0897
      OOBNDO=0.0D0                                                      GDH0897
      ONBNDO=0.0D0                                                      GDH0897
      SSBNDO=0.0D0                                                      GDH0897
      CLCBND=0.0D0                                                      GDH0897
      BRCBND=0.0D0                                                      GDH0897
      FCBNDO=0.0D0                                                      GDH0897
      OPBNDO=0.0D0                                                      GDH0897
      SPBNDO=0.0D0                                                      GDH0897
      HOHBND=0.0D0                                                      GDH0897
      HNNBND=0.0D0                                                      GDH0897
      CNBOC2=0.0D0                                                      GDH0897
      TNCBC3=0.0D0                                                      GDH0897
      TNCBC2=0.0D0                                                      GDH0897
      DO 950 IAT=1,NUMAT                                                GDH0897
         NATIAT=NAT(IAT)                                                GDH0897
         ARED3=ATAR(IAT)*1D-3                                           GDH0897
CCC This is the NEW sigma Hk term, based on a Tkk                       GDH0897
CCC NOTE: Hydrogen only has this extra surface tension when bonded to   GDH0897
CCC   Carbon, Oxygen, and Nitrogen, Sulfer                              GDH0897
         HB(IAT)=0.0                                                    GDH0897
         BCCC=1.0D0                                                     GDH0897
         IF (NAT(IAT).EQ.1) THEN                                        GDH0897
            RTKK=0.D0                                                   GDH0897
            DELTAR=DRVAL(1)                                             GDH0897
            ITPC=NATCNV(1)                                              GDH0897
            DO 150 J=1,NUMAT                                            GDH0897
               RTKK=0.0D0                                               GDH0897
               NTP=NAT(J)                                               GDH0897
               NTPC=NATCNV(NTP)                                         GDH0897
               IF(NTP.EQ.6.OR.NTP.EQ.7.OR.NTP.EQ.8.OR.NTP.EQ.16) THEN   GDH0897
                  RHLD=RKKVAL(ITPC,NTPC)                                GDH0897
                  CUTOF1=RHLD+DELTAR                                    GDH0897
                  IF(RLIO(IAT,J).LT.CUTOF1)THEN                         GDH0897
                     RTKK=EXP(1.0D0-(BCCC/                              GDH0897
     .                  (1.0D0-((RLIO(IAT,J)-RHLD)/                     GDH0897
     .                  DELTAR))))/(EXPVAL)                             GDH0897
                  ENDIF                                                 GDH0897
                  HB(IAT)=HB(IAT)+RTKK*HRFN4(NTP)*ARED3                 GDH0897
                  HBONDO(NTP)=HBONDO(NTP)+RTKK*ARED3*1000               GDH0897
                  IF (NTP.EQ.7.AND.RTKK.GT.0.0D0) THEN                  GDH0897
                  DO 262 K=1,NUMAT                                      GDH0897
                     KTP=NAT(K)                                         GDH0897
                     KTPC=NATCNV(KTP)                                   GDH0897
                     RTKK2=0.0D0                                        GDH0897
                     IF (J.NE.K.AND.KTP.EQ.7) THEN                      GDH0897
                        RHLD=RKKVAL(NTPC,KTPC)                          GDH0897
                        CUTOF1=RHLD+DELTAR                              GDH0897
                        IF(RLIO(J,K).LT.CUTOF1)THEN                     GDH0897
                           RTKK2=EXP(1.0D0-(BCCC/                       GDH0897
     .                        (1.0D0-((RLIO(J,K)-RHLD)/                 GDH0897
     .                        DELTAR))))/(EXPVAL)                       GDH0897
                        ENDIF                                           GDH0897
                        HB(IAT)=HB(IAT)+RTKK*RTKK2*HNNST1*ARED3         GDH0897
                        HNNBND=HNNBND+RTKK*ARED3*1000                   GDH0897
                      ENDIF                                             GDH0897
262               CONTINUE                                              GDH0897
                  ELSE IF (NTP.EQ.8.AND.RTKK.GT.0.0D0) THEN             GDH0897
                  DO 263 K=1,NUMAT                                      GDH0897
                     KTP=NAT(K)                                         GDH0897
                     KTPC=NATCNV(KTP)                                   GDH0897
                     RTKK2=0.0D0                                        GDH0897
                     IF (IAT.NE.K.AND.KTP.EQ.1) THEN                    GDH0897
                        RHLD=RKKVAL(NTPC,KTPC)                          GDH0897
                        CUTOF1=RHLD+DELTAR                              GDH0897
                        IF(RLIO(J,K).LT.CUTOF1)THEN                     GDH0897
                           RTKK2=EXP(1.0D0-(BCCC/                       GDH0897
     .                        (1.0D0-((RLIO(J,K)-RHLD)/                 GDH0897
     .                        DELTAR))))/(EXPVAL)                       GDH0897
                        ENDIF                                           GDH0897
                        HB(IAT)=HB(IAT)+RTKK*RTKK2*HOHST1*ARED3         GDH0897
                        HOHBND=HOHBND+RTKK*ARED3*1000                   GDH0897
                      ENDIF                                             GDH0897
263                CONTINUE                                             GDH0897
                   ENDIF                                                GDH0897
               ENDIF                                                    GDH0897
150         CONTINUE                                                    GDH0897
         ENDIF                                                          GDH0897
CCC These are the NEW O-C CDS terms. They are of the Tkk form.          GDH0897
         IF (NAT(IAT).EQ.8) THEN                                        GDH0897
            RTKK=0.D0                                                   GDH0897
            ITPC=NATCNV(8)                                              GDH0897
            DELTAR=DRVAL(2)                                             GDH0897
            DO 200 J=1,NUMAT                                            GDH0897
               NTP=NAT(J)                                               GDH0897
               IF(NTP.EQ.6)THEN                                         GDH0897
                 NTPC=NATCNV(NTP)                                       GDH0897
                 RHLD=RKKVL2(ITPC,NTPC)                                 GDH0897
                 CUTOF1=RHLD+DELTAR                                     GDH0897
                 IF(RLIO(IAT,J).LT.CUTOF1)THEN                          GDH0897
                     RTKK=RTKK+EXP(1.0D0-(BCCC/                         GDH0897
     .                  (1.0D0-((RLIO(IAT,J)-RHLD)/                     GDH0897
     .                  DELTAR))))/(EXPVAL)                             GDH0897
                 ENDIF                                                  GDH0897
               ENDIF                                                    GDH0897
200         CONTINUE                                                    GDH0897
            HB(IAT)=HB(IAT)+RTKK*CORFN5*ARED3                           GDH0897
            COBND5=COBND5+RTKK*ARED3*1000                               GDH0897
         ENDIF                                                          GDH0897
CCC This is the NEW O-P CDS terms. They are of the Tkk form.            GDH0897
C         IF (NAT(IAT).EQ.8) THEN                                        GDH0897
C            RTKK=0.D0                                                   GDH0897
C            ITPC=NATCNV(8)                                              GDH0897
C            DELTAR=DRVAL(1)                                             GDH0897
C            DO 210 J=1,NUMAT                                            GDH0897
C               NTP=NAT(J)                                               GDH0897
C               IF(NTP.EQ.15)THEN                                        GDH0897
C                 NTPC=NATCNV(NTP)                                       GDH0897
C                 RHLD=RKKVAL(ITPC,NTPC)                                 GDH0897
C                 CUTOF1=RHLD+DELTAR                                     GDH0897
C                 IF(RLIO(IAT,J).LT.CUTOF1)THEN                          GDH0897
C                     RTKK=RTKK+EXP(1.0D0-(BCCC/                         GDH0897
C     .                  (1.0D0-((RLIO(IAT,J)-RHLD)/                     GDH0897
C     .                  DELTAR))))/(EXPVAL)                             GDH0897
C                 ENDIF                                                  GDH0897
C               ENDIF                                                    GDH0897
C210         CONTINUE                                                    GDH0897
C            HB(IAT)=HB(IAT)+RTKK*OPRFN5*ARED3                           GDH0897
C            OPBND5=OPBND5+RTKK*ARED3*1000                               GDH0897
C         ENDIF                                                          GDH0897
CCC Add the Nitrogen bonded to Carbon Surface Tension terms             GDH0897
CCC The terms are a sum over all N bonded to C of a COT times the       GDH0897
C   sum of all other atoms attached to the C attached to the N raised   GDH0897
C   to a power.  See the paper for more explicit details.               GDH0897
         IF (NAT(IAT).EQ.7) THEN                                        GDH0897
            ITPC=NATCNV(7)                                              GDH0897
            RTKKS=0.0D0                                                 GDH0897
            RTKKS2=0.D0                                                 GDH0897
            DELTAR=DRVAL(1)                                             GDH0897
            DO 250 J=1,NUMAT                                            GDH0897
               NTP=NAT(J)                                               GDH0897
               NTPC=NATCNV(NTP)                                         GDH0897
               IF(NTP.EQ.6)THEN                                         GDH0897
                 RHLD=RKKVAL(ITPC,NTPC)                                 GDH0897
                 CUTOF1=RHLD+DELTAR                                     GDH0897
                 IF(RLIO(IAT,J).LT.CUTOF1)THEN                          GDH0897
                    RTKK=0.0D0                                          GDH0897
                     RTKK=EXP(1.0D0-(BCCC/                              GDH0897
     .                  (1.0D0-((RLIO(IAT,J)-RHLD)/                     GDH0897
     .                  DELTAR))))/(EXPVAL)                             GDH0897
                     RTKK3=0.0D0                                        GDH0897
                     RTKK5=0.0D0                                        GDH0897
                     DO 251 K=1,NUMAT                                   GDH0897
                       NKTP=NAT(K)                                      GDH0897
                       NKTPC=NATCNV(NKTP)                               GDH0897
                       RTKK2=0.D0                                       GDH0897
                       RTKK4=0.D0                                       GDH0897
                       IF (K.NE.IAT.AND.K.NE.J) THEN                    GDH0897
                       RHLD2=RKKVAL(NKTPC,NTPC)                         GDH0897
                       CUTOF2=RHLD2+DELTAR                              GDH0897
                       IF(RLIO(J,K).LT.CUTOF2)THEN                      GDH0897
                        RTKK2=EXP(1.0D0-(BCCC/                          GDH0897
     .                  (1.0D0-((RLIO(J,K)-RHLD2)/                      GDH0897
     .                  DELTAR))))/(EXPVAL)                             GDH0897
                        IF(NKTP.EQ.8) RTKK4=RTKK2                       GDH0897
                       ENDIF                                            GDH0897
                       ENDIF                                            GDH0897
                       RTKK3=RTKK3+RTKK2                                GDH0897
                       RTKK5=RTKK5+RTKK4                                GDH0897
251                  CONTINUE                                           GDH0897
                     RTKKS=RTKKS+RTKK*RTKK3*RTKK3                       GDH0897
                     RTKKS2=RTKKS2+RTKK*RTKK5                           GDH0897
                 ENDIF                                                  GDH0897
              ENDIF                                                     GDH0897
250         CONTINUE                                                    GDH0897
            DHOLDER=(RTKKS**1.3D0)*ARED3                                GDH0897
            HB(IAT)=HB(IAT)+DHOLDER*CNRFN4                              GDH0897
            CNBNDO=CNBNDO+DHOLDER*1000                                  GDH0897
            HB(IAT)=HB(IAT)+RTKKS2*TNCSC2*ARED3                         GDH0897
            TNCBC2=TNCBC2+RTKKS2*ARED3*1000                             GDH0897
C This is the surface tension which separates N triple bonded C         GDH0897
C            RTKK=0.0D0                                                  GDH0897
C            DELTAR=DRVAL(4)                                             GDH0897
C            RTKK=0.D0                                                   GDH0897
C               DO 461 J=1,NUMAT                                         GDH0897
C                 NTP=NAT(J)                                             GDH0897
C                 NTPC=NATCNV(NTP)                                       GDH0897
C                 IF(J.EQ.IAT)GOTO 461                                   GDH0897
C                 IF(NTP.EQ.6)THEN                                       GDH0897
C                 RHLD=RKKVL2(ITPC,NTPC)                                 GDH0897
C                 CUTOF1=RHLD+DELTAR                                     GDH0897
C                 IF(RLIO(IAT,J).LT.CUTOF1)THEN                          GDH0897
C                    RTKK=0.0D0                                          GDH0897
C                     RTKK=EXP(1.0D0-(BCCC/                              GDH0897
C     .                  (1.0D0-((RLIO(IAT,J)-RHLD)/                     GDH0897
C     .                  DELTAR))))/(EXPVAL)                             GDH0897
C                 ENDIF                                                  GDH0897
C                 ENDIF                                                  GDH0897
C461            CONTINUE                                                 GDH0897
C                  HB(IAT)=HB(IAT)+RTKK*TNCSC3*ARED3                     GDH0897
C                  TNCBC3=TNCBC3+RTKK*ARED3*1000                         GDH0897
         ENDIF                                                          GDH0897
CCC These are the NEW O-N CDS terms. They are of the Tkk form.          GDH0897
         IF (NAT(IAT).EQ.8) THEN                                        GDH0897
            RTKK=0.0D0                                                  GDH0897
            DELTAR=DRVAL(1)                                             GDH0897
            ITPC=NATCNV(8)                                              GDH0897
            DO 350 J=1,NUMAT                                            GDH0897
               NTP=NAT(J)                                               GDH0897
               NTPC=NATCNV(NTP)                                         GDH0897
               IF(NTP.EQ.7)THEN                                         GDH0897
                 RHLD=RKKVAL(ITPC,NTPC)                                 GDH0897
                 CUTOF1=RHLD+DELTAR                                     GDH0897
                 IF(RLIO(IAT,J).LT.CUTOF1)THEN                          GDH0897
                     RTKK=RTKK+EXP(1.0D0-(BCCC/                         GDH0897
     .                  (1.0D0-((RLIO(IAT,J)-RHLD)/                     GDH0897
     .                  DELTAR))))/(EXPVAL)                             GDH0897
                 ENDIF                                                  GDH0897
               ENDIF                                                    GDH0897
350         CONTINUE                                                    GDH0897
            HB(IAT)=HB(IAT)+RTKK*ONRFN4*ARED3                           GDH0897
            ONBNDO=ONBNDO+RTKK*ARED3*1000                               GDH0897
         ENDIF                                                          GDH0897
CCC These are the Cl-C CDS terms.                                       GDH0897
         IF (NAT(IAT).EQ.17) THEN                                       GDH0897
            ITPC=NATCNV(17)                                             GDH0897
            RTKK4=0.0D0                                                 GDH0897
            DELTAR=DRVAL(1)                                             GDH0897
            DO 373 J=1,NUMAT                                            GDH0897
              IF(J.EQ.IAT)GOTO 373                                      GDH0897
              NTP=NAT(J)                                                GDH0897
              NTPC=NATCNV(NTP)                                          GDH0897
              IF(NTP.EQ.6)THEN                                          GDH0897
                 RTKK=0.D0                                              GDH0897
                 RHLD=RKKVAL(ITPC,NTPC)                                 GDH0897
                 CUTOF1=RHLD+DELTAR                                     GDH0897
                 IF(RLIO(IAT,J).LT.CUTOF1)THEN                          GDH0897
                    RTKK3=0.0D0                                         GDH0897
                    RTKK=EXP(1.0D0-(BCCC/                               GDH0897
     .               (1.0D0-((RLIO(IAT,J)-RHLD)/DELTAR))))              GDH0897
     .               /(EXPVAL)                                          GDH0897
                     DO 363 K=1,NUMAT                                   GDH0897
                       RTKK2=0.D0                                       GDH0897
                       NKTP=NAT(K)                                      GDH0897
                       NKTPC=NATCNV(NKTP)                               GDH0897
                       IF (K.NE.IAT.AND.K.NE.J) THEN                    GDH0897
                         RHLD2=RKKVAL(NKTPC,NTPC)                       GDH0897
                         CUTOF2=RHLD2+DELTAR                            GDH0897
                         ENEG=ENEGIT(NKTP)                              GDH0897
                         IF(RLIO(J,K).LT.CUTOF2)THEN                    GDH0897
                            RTKK2=(EXP(1.0D0-(BCCC/                     GDH0897
     .                      (1.0D0-((RLIO(J,K)-RHLD2)/DELTAR))))        GDH0897
     .                      /(EXPVAL))/ENEG                             GDH0897
                         ENDIF                                          GDH0897
                       ENDIF                                            GDH0897
                       RTKK3=RTKK3+RTKK2                                GDH0897
363                  CONTINUE                                           GDH0897
                     RTKK4=RTKK4+RTKK*RTKK3                             GDH0897
                 ENDIF                                                  GDH0897
              ENDIF                                                     GDH0897
373         CONTINUE                                                    GDH0897
            HB(IAT)=HB(IAT)+RTKK4*CLCRFN*ARED3                          GDH0897
            CLCBND=CLCBND+RTKK4*ARED3*1000                              GDH0897
         ENDIF                                                          GDH0897
CCC These are the NEW Br-C CDS terms. They are of the Tkk form.         GDH0897
         IF (NAT(IAT).EQ.35) THEN                                       GDH0897
            ITPC=NATCNV(35)                                             GDH0897
            RTKK4=0.0D0                                                 GDH0897
            DELTAR=DRVAL(1)                                             GDH0897
            DO 365 J=1,NUMAT                                            GDH0897
              IF(J.EQ.IAT)GOTO 365                                      GDH0897
              NTP=NAT(J)                                                GDH0897
              NTPC=NATCNV(NTP)                                          GDH0897
              IF(NTP.EQ.6)THEN                                          GDH0897
                 RTKK=0.D0                                              GDH0897
                 RHLD=RKKVAL(ITPC,NTPC)                                 GDH0897
                 CUTOF1=RHLD+DELTAR                                     GDH0897
                 IF(RLIO(IAT,J).LT.CUTOF1)THEN                          GDH0897
                    RTKK3=0.0D0                                         GDH0897
                    RTKK=EXP(1.0D0-(BCCC/                               GDH0897
     .               (1.0D0-((RLIO(IAT,J)-RHLD)/DELTAR))))              GDH0897
     .               /(EXPVAL)                                          GDH0897
                     DO 366 K=1,NUMAT                                   GDH0897
                       RTKK2=0.D0                                       GDH0897
                       NKTP=NAT(K)                                      GDH0897
                       NKTPC=NATCNV(NKTP)                               GDH0897
                       IF (K.NE.IAT.AND.K.NE.J) THEN                    GDH0897
                         RHLD2=RKKVAL(NKTPC,NTPC)                       GDH0897
                         CUTOF2=RHLD2+DELTAR                            GDH0897
                         ENEG=ENEGIT(NKTP)                              GDH0897
                         IF(RLIO(J,K).LT.CUTOF2)THEN                    GDH0897
                            RTKK2=(EXP(1.0D0-(BCCC/                     GDH0897
     .                      (1.0D0-((RLIO(J,K)-RHLD2)/DELTAR))))        GDH0897
     .                      /(EXPVAL))/ENEG                             GDH0897
                         ENDIF                                          GDH0897
                       ENDIF                                            GDH0897
                       RTKK3=RTKK3+RTKK2                                GDH0897
366                  CONTINUE                                           GDH0897
                     RTKK4=RTKK4+RTKK*RTKK3                             GDH0897
                 ENDIF                                                  GDH0897
              ENDIF                                                     GDH0897
365         CONTINUE                                                    GDH0897
            HB(IAT)=HB(IAT)+RTKK4*BRCRFN*ARED3                          GDH0897
            BRCBND=BRCBND+RTKK4*ARED3*1000                              GDH0897
         ENDIF                                                          GDH0897
CC Add the Oxygen - Oxygen Surface Tension term                         GDH0897
CCC   sigma(OO) surface tension.                                        GDH0897
         RTKK=0.0D0                                                     GDH0897
         KCCAN=0                                                        GDH0897
         IF (NAT(IAT).EQ.8) THEN                                        GDH0897
            ITPC=NATCNV(8)                                              GDH0897
            DELTAR=DRVAL(1)                                             GDH0897
            DO 400 J=1,NUMAT                                            GDH0897
               IF(J.EQ.IAT)GOTO 400                                     GDH0897
               NTP=NAT(J)                                               GDH0897
               NTPC=NATCNV(NTP)                                         GDH0897
               IF(NTP.EQ.8)THEN                                         GDH0897
                  RHLD=RKKVAL(ITPC,NTPC)                                GDH0897
                  CUTOF1=RHLD+DELTAR                                    GDH0897
                  IF(RLIO(IAT,J).LT.CUTOF1)THEN                         GDH0897
                     RTKK=RTKK+EXP(1.0D0-(BCCC/                         GDH0897
     X                  (1.0D0-((RLIO(IAT,J)-RHLD)/DELTAR))))           GDH0897
     X                  /(EXPVAL)                                       GDH0897
                     KCCAN=KCCAN+1                                      GDH0897
                  ENDIF                                                 GDH0897
               ENDIF                                                    GDH0897
 400        CONTINUE                                                    GDH0897
         ENDIF                                                          GDH0897
         IF(KCCAN.GE.1.AND.RTKK.GT.0.00000001)THEN                      GDH0897
            XRTKO=0.0D0                                                 GDH0897
            SRTNO=-1.0D0*RTKK                                           GDH0897
            REYYO=-0.4D0                                                GDH0897
            DELTAO=0.4D0                                                GDH0897
            BYYO=1.0D0                                                  GDH0897
            CUTOF1=REYYO+DELTAO                                         GDH0897
            IF(SRTNO.LT.CUTOF1)THEN                                     GDH0897
               XRTKO=EXP(1.0D0-(BYYO/(1.0D0-((SRTNO-REYYO)/DELTAO))))   GDH0897
     X            /EXPVAL                                               GDH0897
            ENDIF                                                       GDH0897
            HB(IAT)=HB(IAT)+XRTKO*OORFN5*ARED3                          GDH0897
            OOBNDO=OOBNDO+XRTKO*ARED3*1000                              GDH0897
         ENDIF                                                          GDH0897
CCC  These are the SM5 CC CDS terms. They are of the Tkk form.          GDH0897
         IF (NAT(IAT).EQ.6) THEN                                        GDH0897
            ITPC=NATCNV(6)                                              GDH0897
            DO 500 KCCC=1,2                                             GDH0897
               RTKK=0.0D0                                               GDH0897
               CUTOF1=RECCC+DELTAR                                      GDH0897
               DO 450 J=1,NUMAT                                         GDH0897
                 IF(J.EQ.IAT)GOTO 450                                   GDH0897
                 NTP=NAT(J)                                             GDH0897
                 IF(NTP.EQ.6)THEN                                       GDH0897
                    NTPC=NATCNV(NTP)                                    GDH0897
                    IF (KCCC.EQ.1) THEN                                 GDH0897
                       RHLD=RKKVAL(ITPC,NTPC)                           GDH0897
                       DELTAR=DRVAL(1)                                  GDH0897
                       CUTOF1=RHLD+DELTAR                               GDH0897
                    ELSE                                                GDH0897
                       RHLD=RKKVL2(ITPC,NTPC)                           GDH0897
                       DELTAR=DRVAL(3)                                  GDH0897
                       CUTOF1=RHLD+DELTAR                               GDH0897
                    ENDIF                                               GDH0897
                    IF(RLIO(IAT,J).LT.CUTOF1)THEN                       GDH0897
                        RTKK=RTKK+EXP(1.0D0-(BCCC/                      GDH0897
     .                     (1.0D0-((RLIO(IAT,J)-RHLD)/DELTAR))))        GDH0897
     .                  /(EXPVAL)                                       GDH0897
                    ENDIF                                               GDH0897
                 ENDIF                                                  GDH0897
450            CONTINUE                                                 GDH0897
               IF(KCCC.EQ.1)THEN                                        GDH0897
                  HB(IAT)=HB(IAT)+RTKK*CRFNH4*ARED3                     GDH0897
                  CBONDO=CBONDO+RTKK*ARED3*1000                         GDH0897
               ELSEIF(KCCC.EQ.2)THEN                                    GDH0897
                  HB(IAT)=HB(IAT)+RTKK*CRFNH5*ARED3                     GDH0897
                  CBOND5=CBOND5+RTKK*ARED3*1000                         GDH0897
               ENDIF                                                    GDH0897
500         CONTINUE                                                    GDH0897
               RTKK=0.0D0                                               GDH0897
               DELTAR=DRVAL(1)                                          GDH0897
               CUTOF1=RECCC+DELTAR                                      GDH0897
               DO 460 J=1,NUMAT                                         GDH0897
                 NTP=NAT(J)                                             GDH0897
                 IF(NTP.EQ.7)THEN                                       GDH0897
                    NTPC=NATCNV(NTP)                                    GDH0897
                    RHLD=RKKVAL(ITPC,NTPC)                              GDH0897
                    CUTOF1=RHLD+DELTAR                                  GDH0897
                    IF(RLIO(IAT,J).LT.CUTOF1)THEN                       GDH0897
                        RTKK=RTKK+EXP(1.0D0-(BCCC/                      GDH0897
     .                     (1.0D0-((RLIO(IAT,J)-RHLD)/DELTAR))))        GDH0897
     .                  /(EXPVAL)                                       GDH0897
                    ENDIF                                               GDH0897
                 ENDIF                                                  GDH0897
460            CONTINUE                                                 GDH0897
                  HOLDRK=RTKK*RTKK                                      GDH0897
                  HB(IAT)=HB(IAT)+(HOLDRK)*CNSTC2*ARED3                 GDH0897
                  CNBOC2=CNBOC2+(HOLDRK)*ARED3*1000                     GDH0897
         ENDIF                                                          GDH0897
CC Add the Sulfur - Sulfur Surface Tension term                         GDH0897
CCC   sigma(SS) surface tension.                                        GDH0897
         RTKK=0.0D0                                                     GDH0897
         IF (NAT(IAT).EQ.16) THEN                                       GDH0897
            ITPC=NATCNV(16)                                             GDH0897
            DELTAR=DRVAL(1)                                             GDH0897
            DO 550 J=1,NUMAT                                            GDH0897
               IF(J.EQ.IAT)GOTO 550                                     GDH0897
               NTP=NAT(J)                                               GDH0897
               IF(NTP.EQ.16)THEN                                        GDH0897
                  NTPC=NATCNV(NTP)                                      GDH0897
                  RHLD=RKKVAL(ITPC,NTPC)                                GDH0897
                  CUTOF1=RHLD+DELTAR                                    GDH0897
                  IF(RLIO(IAT,J).LT.CUTOF1)THEN                         GDH0897
                     RTKK=EXP(1.0D0-(BCCC/                              GDH0897
     X                  (1.0D0-((RLIO(IAT,J)-RHLD)/DELTAR))))           GDH0897
     X                  /(EXPVAL)                                       GDH0897
                  ENDIF                                                 GDH0897
                  HB(IAT)=HB(IAT)+RTKK*SSRFN5*ARED3                     GDH0897
                  SSBNDO=SSBNDO+RTKK*ARED3*1000                         GDH0897
               ENDIF                                                    GDH0897
550         CONTINUE                                                    GDH0897
         ENDIF                                                          GDH0897
CCC This is the NEW S-P CDS terms. They are of the Tkk form.            GDH0897
C         IF (NAT(IAT).EQ.16) THEN                                       GDH0897
C            RTKK=0.D0                                                   GDH0897
C            ITPC=NATCNV(16)                                             GDH0897
C            DELTAR=DRVAL(1)                                             GDH0897
C            DO 220 J=1,NUMAT                                            GDH0897
C               NTP=NAT(J)                                               GDH0897
C               IF(NTP.EQ.15)THEN                                        GDH0897
C                 NTPC=NATCNV(NTP)                                       GDH0897
C                 RHLD=RKKVAL(ITPC,NTPC)                                 GDH0897
C                 CUTOF1=RHLD+DELTAR                                     GDH0897
C                 IF(RLIO(IAT,J).LT.CUTOF1)THEN                          GDH0897
C                     RTKK=RTKK+EXP(1.0D0-(BCCC/                         GDH0897
C     .                  (1.0D0-((RLIO(IAT,J)-RHLD)/                     GDH0897
C     .                  DELTAR))))/(EXPVAL)                             GDH0897
C                 ENDIF                                                  GDH0897
C               ENDIF                                                    GDH0897
C220         CONTINUE                                                    GDH0897
C            HB(IAT)=HB(IAT)+RTKK*SPRFN5*ARED3                           GDH0897
C            SPBNDO=SPBNDO+RTKK*ARED3*1000                               GDH0897
C         ENDIF                                                          GDH0897
950   CONTINUE                                                          GDH0897
      RETURN                                                            GDH0897
      END                                                               GDH0897
                                                                        GDH0897
