      SUBROUTINE SMX1 (COORD)                                           GDH0897
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)                               GDH0897
      INCLUDE 'SIZES.i'                                                 GDH0897
      INCLUDE 'KEYS.i'                                                  GDH0897
C --------------------------------------------------------------------- GDH0897
C     FGB MATRIX ELEMENTS OR G-CDS CONTRIBUTION.                        GDH0897
C     * ANALYTICAL COMPUTATION OF ACCESSIBLE SURFACE AREA,              GDH0897
C --------------------------------------------------------------------- GDH0897
      DIMENSION COORD(3,*)                                              GDH0897
      SAVE                                                              GDH0897
C        LOAD IN THE SOLVATION PARAMETERS                               GDH0897
C                                                                       GDH0897
C        SIGMA0 = SURFACE TENSIONS (SIGMA ZERO)                         GDH0897
C        RKCDS  = SURFACE TENSION RADII (Rk)                            GDH0897
C                                                                       GDH0897
         CALL LOADSP                                                    GDH0897
C        FILL SASA RADII (RAS & RALG)                                   GDH0897
         CALL SASARD                                                    GDH0897
C        DETERMINE SASA FOR CDS                                         GDH0897
         NITER=1                                                        GDH0897
         CALL SASADO (COORD,NITER)                                      GDH0897
      END                                                               GDH0897
