      SUBROUTINE TPCHK(NATOMS,LABELS)                                   GDH0897
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)                                GDH0897
      INCLUDE 'SIZES.i'                                                 GDH0897
      INCLUDE 'KEYS.i'                                                  GDH0897
      INCLUDE 'FFILES.i'                                                GDH0897
      DIMENSION LABELS(*)                                               GDH0897
C***********************************************************************GDH0897
C                                                                       GDH0897
C     TPCHK CHECKS FOR THE USE OF ATOM TYPES WHICH ARE INCOMPATIBLE WITHGDH0897
C     THE MODEL YOU ARE USING.                                          GDH0897
C                                                                       GDH0897
C     THIS SUBROUTINE WAS CREATED BY GDH IN 04/96                       GDH0897
C                                                                       GDH0897
C***********************************************************************GDH0897
      DO 10 IJJ=1,NATOMS-1                                              GDH0897
         ICMP=LABELS(IJJ)                                               GDH0897
         ICNT=0                                                         GDH0897
         IFAILA=0                                                       GDH0897
         IF (LABELS(IJJ).LT.90) THEN                                    GDH0897
            IF (ICMP.EQ.1) THEN                                         GDH0897
               ICNT=ICNT+1                                              GDH0897
            ELSE IF (ICMP.EQ.6) THEN                                    GDH0897
               ICNT=ICNT+1                                              GDH0897
            ELSE IF (ICMP.EQ.7) THEN                                    GDH0897
               ICNT=ICNT+1                                              GDH0897
            ELSE IF (ICMP.EQ.8) THEN                                    GDH0897
               ICNT=ICNT+1                                              GDH0897
            ELSE IF (ICMP.EQ.9) THEN                                    GDH0897
               ICNT=ICNT+1                                              GDH0897
            ELSE IF (ICMP.EQ.15) THEN                                   GDH0897
               ICNT=ICNT+1                                              GDH0897
            ELSE IF (ICMP.EQ.16) THEN                                   GDH0897
               ICNT=ICNT+1                                              GDH0897
            ELSE IF (ICMP.EQ.17) THEN                                   GDH0897
               ICNT=ICNT+1                                              GDH0897
            ELSE IF (ICMP.EQ.35) THEN                                   GDH0897
               ICNT=ICNT+1                                              GDH0897
            ELSE IF (ICMP.EQ.53) THEN                                   GDH0897
               ICNT=ICNT+1                                              GDH0897
            ENDIF                                                       GDH0897
            IF (ICNT.EQ.0) IFAILA=1                                     GDH0897
         IF (IFAILA.EQ.1) THEN                                          GDH0897
             WRITE(JOUT,110)                                            GDH0897
             ISTOP=1                                                    GDH0897
             IWHERE=170                                                 GDH0897
             RETURN                                                     GDH0897
         ELSE IF (IFAILA.EQ.1) THEN                                     GDH0897
             WRITE(JOUT,110)                                            GDH0897
         ENDIF                                                          GDH0897
         ENDIF                                                          GDH0897
10     CONTINUE                                                         GDH0897
       RETURN                                                           GDH0897
110   FORMAT(/,'WARNING: AN ATOM TYPE WAS USED WHICH IS INCOMPATIBLE',  GDH0897
     1       /,'         WITH THE SOLVATION MODEL CHOSEN.')             GDH0897
       END                                                              GDH0897
